Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.facade
Class TagPoolManagerInterceptor

    java.lang.Object
      org.apache.tomcat.core.BaseInterceptor
          org.apache.tomcat.facade.TagPoolManagerInterceptor

public class TagPoolManagerInterceptor
extends BaseInterceptor

This interceptor sets up tag pooling if it is enabled, it will add a TagPoolManagerImpl to the application context. JSPs will then find it and use tag pooling. To disable tag pooling, just dont include this interceptor.

Author:
  Casey Lucas
See Also:
  `TagPoolManager`

Field Summary

Fields inherited from class org.apache.tomcat.core.BaseInterceptor
`cm, ct, ctx, debug, DECLINED, loghelper, OK`

Constructor Summary
`TagPoolManagerInterceptor()`

Method Summary
`void` | `contextInit(Context ctx)` This hook is called when an application context is initialized.
`void` | `contextShutdown(Context ctx)` This hook is called when an application context is shutdown.

Methods inherited from class org.apache.tomcat.core.BaseInterceptor
`addContainer, addContext, addHandler, addInterceptor, addSecurityConstraint, afterBody, authenticate, authorize, beforeBody, beforeCommit, contextMap, contextState, copyContext, engineInit, engineShutdown, engineStart, engineState, engineStop, findSession, getContext, getContextManager, getDebug, getInfo, getLog, getNote, getNote, handleError, log, log, log, log, postInitCheck, postReadRequest, postRequest, postService, postServletDestroy, postServletInit, preInitCheck, preService, preServletDestroy, preServletInit, registerHooks, reload, removeContainer, removeContext, removeHandler, removeInterceptor, requestMap, sessionState, setContext, setContextManager, setDebug, setInfo, setNote, setNote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagPoolManagerInterceptor

    public TagPoolManagerInterceptor()

Method Detail

### contextInit

    public void contextInit(Context ctx)
                     throws TomcatException

  This hook is called when an application context is initialized. Here, we add a TagPoolManagerImpl to the application context.

  Overrides:
    `contextInit` in class `BaseInterceptor`
  Parameters:
    `ctx` -
  Throws:
    `TomcatException`

### contextShutdown

    public void contextShutdown(Context ctx)
                         throws TomcatException

  This hook is called when an application context is shutdown. Here, the TagPoolManagerImpl is removed from the application context.

  Overrides:
    `contextShutdown` in class `BaseInterceptor`
  Parameters:
    `ctx` -
  Throws:
    `TomcatException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.